zenilib: zenilib/jni/external/freetype2/src/cache/ftcimage.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ftcimage.c File Reference
`#include <ft2build.h>`
`#include <FT_CACHE_H>`
`#include "ftcimage.h"`
`#include <FT_INTERNAL_MEMORY_H>`
`#include "ftccback.h"`
`#include "ftcerror.h"`

Go to the source code of this file.

## Functions

| ftc_inode_free (FTC_Node ftcinode, FTC_Cache cache)
| FTC_INode_Free (FTC_INode inode, FTC_Cache cache)
| FTC_INode_New (FTC_INode *pinode, FTC_GQuery gquery, FTC_Cache cache)
| ftc_inode_new (FTC_Node *ftcpinode, FT_Pointer ftcgquery, FTC_Cache cache)
| ftc_inode_weight (FTC_Node ftcinode, FTC_Cache ftccache)

## Function Documentation

ftc_inode_free | ( | FTC_Node | ftcinode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 30 of file ftcimage.c.

References FT_Done_Glyph(), FT_FREE, FTC_GNODE, FTC_GNode_Done(), and NULL.

Referenced by FTC_INode_Free().

FTC_INode_Free | ( | FTC_INode | inode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 49 of file ftcimage.c.

References ftc_inode_free(), and FTC_NODE.

Referenced by FTC_INode_New().

FTC_INode_New | ( | FTC_INode * | pinode,
|  | FTC_GQuery | gquery,
|  | FTC_Cache | cache
| ) |  |

Definition at line 58 of file ftcimage.c.

References error, FTC_IFamilyClassRec_::family_load_glyph, FT_NEW, FTC_CACHE__IFAMILY_CLASS, FTC_GNODE, FTC_GNode_Init(), FTC_INode_Free(), and NULL.

Referenced by ftc_inode_new().

ftc_inode_new | ( | FTC_Node * | ftcpinode,
|  | FT_Pointer | ftcgquery,
|  | FTC_Cache | cache
| ) |  |

Definition at line 94 of file ftcimage.c.

References FTC_INode_New().

ftc_inode_weight | ( | FTC_Node | ftcinode,
|  | FTC_Cache | ftccache
| ) |  |

Definition at line 107 of file ftcimage.c.

References FT_BitmapGlyphRec_::bitmap, FT_GlyphRec_::format, FT_GLYPH_FORMAT_OUTLINE, ft_labs, FT_UNUSED, FT_Outline_::n_contours, FT_Outline_::n_points, FT_OutlineGlyphRec_::outline, FT_Bitmap_::pitch, FT_Bitmap_::rows, and sizeof().